SystemOrganization addCategory: #'Settings-Display'!

Object subclass: #DisplaySettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Settings-Display'!

!DisplaySettings class methodsFor: 'settings' stamp: 'AlainPlantec 1/31/2010 17:13'!
depthChoices
	| oldDepth allDepths hasBoth allLabels | 
	oldDepth := Display nativeDepth. 
	allDepths := #(1 -1 2 -2 4 -4 8 -8 16 -16 32 -32 ) 
				select: [:d | Display supportsDisplayDepth: d].
	hasBoth := (allDepths anySatisfy: [:d | d > 0]) and: [allDepths anySatisfy: [:d | d < 0]].
	allLabels := allDepths 
				collect: [:d | String
						streamContents: [:s | 
							s print: d abs.
							hasBoth
								ifTrue: [s
										nextPutAll: (d > 0
												ifTrue: ['  (big endian)']
												ifFalse: ['  (little endian)'])]]].
	^ (allLabels with: allDepths collect: [:l :d | l -> d]) asArray sort: [:a :b | a value < b value]
! !

!DisplaySettings class methodsFor: 'settings' stamp: 'AlainPlantec 9/17/2011 18:52'!
displaySettingsOn: aBuilder 
	<systemsettings>
"	(aBuilder pickOne: #displayDepth) 
		label: 'Display depth' translated;
		parent: #appearance;
		target: #Display; 
		getSelector: #depth;
		setSelector: #newDepth:;
		domainValues: self depthChoices;
		notInStyle.
"
	(aBuilder setting: #displayFullscreen)
		label: 'Fullscreen mode' translated;
		parent: #desktopSettings;
		target: #Display;
		getSelector: #isFullScreen;
		setSelector: #fullScreen:;
		description: 'On platforms that support it, set full-screen mode' translated;
		default: false.
! !
